Subject: Re: bug#21700: new snapshot available: grep-2.21.78-7da30

From: Gary Johnson <[email-masked]>
Date: Wed, 21 Oct 2015 13:09:14 -0700

On 2015-10-18, Jim Meyering wrote:
> > I built the snapshot on two systems, a fairly old one running Ubuntu
> > 10.04.4 and a newer one running an up-to-date Linux Mint 17.2.
> > 'make check' reported the same two failures on both:
> >
> >    XFAIL: backref-alt
> >    XFAIL: triple-backref
> 
> Thanks for building and reporting.
> Each of those "XFAIL"s indicates an expected failure, so that is the
> expected test result, for now.

OK, thanks.

I also built the snapshot successfully on a Fedora 17 system that I
use for real work.  I just ran a performance test, FWIW.  I searched
recursively in our source hierarchy of 6044 regular files and 1102
directories for a simple string.

    time grep -Rin mystring src > /dev/null

Here are the results, averaged over three trials each, not including
any slow times clearly due to updating caches.

            2.12    2.21    2.21.78-7da30
            -----   -----   -----
    real    18.0s   1.08s   2.36s
    user    17.8s   0.96s   2.24s
    sys     0.12s   0.11s   0.10s

Version 2.12 was /bin/grep.  The other two versions I built myself.

Regards,
Gary